# OpalConnection::CallEndReason Struct Reference

`#include <connection.h>`

## Public Member Functions

| CallEndReason (CallEndReasonCodes reason=NumCallEndReasons, unsigned cause=0)
| CallEndReason (long reason)
__inline | operator CallEndReasonCodes () const
__inline int | AsInteger () const

## Data Fields

CallEndReasonCodes | code:8
unsigned | q931:8

## Constructor & Destructor Documentation

OpalConnection::CallEndReason::CallEndReason | ( | CallEndReasonCodes | reason = `NumCallEndReasons`,
|  | unsigned | cause = `0` |
| ) |  |  | `[inline]`

OpalConnection::CallEndReason::CallEndReason | ( | long | reason | ) | `[inline, explicit]`

## Member Function Documentation

__inline int OpalConnection::CallEndReason::AsInteger | ( |  | ) | const`[inline]`

__inline OpalConnection::CallEndReason::operator CallEndReasonCodes | ( |  | ) | const`[inline]`

## Field Documentation

CallEndReasonCodes OpalConnection::CallEndReason::code

unsigned OpalConnection::CallEndReason::q931

The documentation for this struct was generated from the following file:

- connection.h